// AuthenticatedServlet.java - A sample authenticating servlet.
//
// Copyright (C) 1999-2002  Smart Software Consulting
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Smart Software Consulting
// 1688 Silverwood Court
// Danville, CA  94526-3079
// USA
//
// http://www.smartsc.com
//

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.smartsc.http.AuthenticatedHttpServlet;

public class AuthenticatedServlet
extends AuthenticatedHttpServlet
{
	protected boolean authorized(
		HttpServletRequest req, String username, String password)
	{
		boolean authorized = false;
		if( "smartsc".equals( username)
		&&  "smartsc".equals( password))
		{
			authorized = true;
		}
		return authorized;
	}

	protected String realmName( HttpServletRequest req)
	{
		return "Authenticated Servlet";
	}

	protected void doAuthorizedGet(
		HttpServletRequest req, HttpServletResponse res)
	throws IOException
	{
		res.setContentType( "text/html");
		PrintWriter pw = res.getWriter();
		pw.println( "<html>");
		pw.println( "<head><title>");
		pw.println( "Authenticated TINI Servlet");
		pw.println( "</title></head>");
		pw.println( "<body>");
		pw.println( "<H1>Congratulations!</H1>");
		pw.println( "You have successfully authenticated yourself.");
		pw.println( "<p>Sensitive information could be shown here.");
		pw.println( "<p><a href=\"/\">Return to home page<a>");
		pw.println( "</body></html>");
	}

	protected void doAuthorizedPost(
		HttpServletRequest req, HttpServletResponse res)
	throws IOException
	{
		doGet( req, res);
	}
}
